searchData={"items":[{"type":"module","title":"Termite.Screen","doc":"This module handles terminal related escape sequences.\nSee the source for valid escape sequences.","ref":"Termite.Screen.html"},{"type":"function","title":"Termite.Screen.alt_screen/1","doc":"Switch to alt screen.","ref":"Termite.Screen.html#alt_screen/1"},{"type":"function","title":"Termite.Screen.clear_screen/1","doc":"Clears the screen.","ref":"Termite.Screen.html#clear_screen/1"},{"type":"function","title":"Termite.Screen.cursor_back/2","doc":"Move the cursor back by n cells.","ref":"Termite.Screen.html#cursor_back/2"},{"type":"function","title":"Termite.Screen.cursor_down/2","doc":"Move the cursor down by n lines.","ref":"Termite.Screen.html#cursor_down/2"},{"type":"function","title":"Termite.Screen.cursor_forward/2","doc":"Move the cursor forward by n cells.","ref":"Termite.Screen.html#cursor_forward/2"},{"type":"function","title":"Termite.Screen.cursor_next_line/2","doc":"Move the cursor down by n lines and place cursor at the beginning of the line.","ref":"Termite.Screen.html#cursor_next_line/2"},{"type":"function","title":"Termite.Screen.cursor_position/3","doc":"Set the cursor position to x,y.","ref":"Termite.Screen.html#cursor_position/3"},{"type":"function","title":"Termite.Screen.cursor_previous_line/2","doc":"Move the cursor up by n lines and place cursor at the beginning of the line.","ref":"Termite.Screen.html#cursor_previous_line/2"},{"type":"function","title":"Termite.Screen.cursor_up/2","doc":"Move the cursor up by n lines.","ref":"Termite.Screen.html#cursor_up/2"},{"type":"function","title":"Termite.Screen.delete_chars/2","doc":"Delete the specified number of characters from the cursor.","ref":"Termite.Screen.html#delete_chars/2"},{"type":"function","title":"Termite.Screen.escape_code/0","doc":"Return the escape code for the terminal.\n\n```elixir\niex> Termite.Screen.escape_code()\n\"\u001B[\"\n```","ref":"Termite.Screen.html#escape_code/0"},{"type":"function","title":"Termite.Screen.escape_sequence/2","doc":"Return an escape sequence.\n\n```elixir\niex> Termite.Screen.escape_sequence(:cursor_back, [3])\n\"\u001B[3D\"\n```","ref":"Termite.Screen.html#escape_sequence/2"},{"type":"function","title":"Termite.Screen.exit_alt_screen/1","doc":"Exit to alt screen.","ref":"Termite.Screen.html#exit_alt_screen/1"},{"type":"function","title":"Termite.Screen.hide_cursor/1","doc":"Hide the cursor.","ref":"Termite.Screen.html#hide_cursor/1"},{"type":"function","title":"Termite.Screen.run_escape_sequence/3","doc":"Write an escape sequence to the terminal.","ref":"Termite.Screen.html#run_escape_sequence/3"},{"type":"function","title":"Termite.Screen.show_cursor/1","doc":"Show the cursor.","ref":"Termite.Screen.html#show_cursor/1"},{"type":"function","title":"Termite.Screen.write/2","doc":"","ref":"Termite.Screen.html#write/2"},{"type":"module","title":"Termite.Style","doc":"This module contains functions for building up a styled input.\n\nThe functions in this module are intended to be chained. For example:\n\n```elixir\niex> Termite.Style.background(5)\n...> |> Termite.Style.foreground(3)\n...> |> Termite.Style.bold()\n...> |> Termite.Style.render_to_string(\"Hello World\")\n\"\u001B[1;45;33mHello World\u001B[0m\"\n```","ref":"Termite.Style.html"},{"type":"function","title":"Termite.Style.ansi256/1","doc":"Change the style type to ansi256 for extended colors.","ref":"Termite.Style.html#ansi256/1"},{"type":"function","title":"Termite.Style.ansi/1","doc":"Change the style type to ansi. This is the default value.","ref":"Termite.Style.html#ansi/1"},{"type":"function","title":"Termite.Style.background/2","doc":"Set the background color. This can be a value up to 16 for `:ansi`\nor up to 255 for `:ansi256`.","ref":"Termite.Style.html#background/2"},{"type":"function","title":"Termite.Style.blink/1","doc":"Set the text style to blink.","ref":"Termite.Style.html#blink/1"},{"type":"function","title":"Termite.Style.bold/1","doc":"Set the text style to bold.","ref":"Termite.Style.html#bold/1"},{"type":"function","title":"Termite.Style.crossed_out/1","doc":"Set the text style to strikethrough.","ref":"Termite.Style.html#crossed_out/1"},{"type":"function","title":"Termite.Style.faint/1","doc":"Set the text style to dim/faint.","ref":"Termite.Style.html#faint/1"},{"type":"function","title":"Termite.Style.foreground/2","doc":"Set the foreground (text) color. This can be a value up to 16 for `:ansi`\nor up to 255 for `:ansi256`.","ref":"Termite.Style.html#foreground/2"},{"type":"function","title":"Termite.Style.inverse/1","doc":"Set the text style to inverse (swap foreground/background colors).","ref":"Termite.Style.html#inverse/1"},{"type":"function","title":"Termite.Style.italic/1","doc":"Set the text style to italic.","ref":"Termite.Style.html#italic/1"},{"type":"function","title":"Termite.Style.render_to_string/2","doc":"Render a string with the specified styles. And a reset code.\n\n```elixir\niex> Termite.Style.bold()\n...> |> Termite.Style.render_to_string(\"Hello\")\n\"\u001B[1mHello\u001B[0m\"\n```","ref":"Termite.Style.html#render_to_string/2"},{"type":"function","title":"Termite.Style.reset_code/0","doc":"Output the reset code.\n\n```elixir\niex> Termite.Style.reset_code()\n\"\u001B[0m\"\n```","ref":"Termite.Style.html#reset_code/0"},{"type":"function","title":"Termite.Style.reverse/1","doc":"Set the text style to inverse (swap foreground/background colors).","ref":"Termite.Style.html#reverse/1"},{"type":"function","title":"Termite.Style.underline/1","doc":"Set the text style to underline.","ref":"Termite.Style.html#underline/1"},{"type":"module","title":"Termite.Terminal","doc":"This module provides an interface for interacting with the terminal specified.","ref":"Termite.Terminal.html"},{"type":"function","title":"Termite.Terminal.poll/2","doc":"Wait for input from the terminal.","ref":"Termite.Terminal.html#poll/2"},{"type":"function","title":"Termite.Terminal.resize/1","doc":"Update the size of the terminal.","ref":"Termite.Terminal.html#resize/1"},{"type":"function","title":"Termite.Terminal.start/1","doc":"Start the terminal.","ref":"Termite.Terminal.html#start/1"},{"type":"function","title":"Options - Termite.Terminal.start/1","doc":"* `:adapter` - determines the adapter to use. Defaults to `Termite.Terminal.PrimTTY`\n\nAll other options are passed directly to the adapter.","ref":"Termite.Terminal.html#start/1-options"},{"type":"function","title":"Termite.Terminal.write/2","doc":"Write a string to the terminal.\n\nSee `Termite.Screen` and `Termite.Style` for documentation on escape codes.","ref":"Termite.Terminal.html#write/2"},{"type":"behaviour","title":"Termite.Terminal.Adapter","doc":"The behaviour module for implementing an adapter.","ref":"Termite.Terminal.Adapter.html"},{"type":"callback","title":"Termite.Terminal.Adapter.reader/1","doc":"Return a reference for the reader for handling input messages.","ref":"Termite.Terminal.Adapter.html#c:reader/1"},{"type":"callback","title":"Termite.Terminal.Adapter.resize/1","doc":"Returns a map of the width and height","ref":"Termite.Terminal.Adapter.html#c:resize/1"},{"type":"callback","title":"Termite.Terminal.Adapter.start/1","doc":"Start the terminal adapter.","ref":"Termite.Terminal.Adapter.html#c:start/1"},{"type":"callback","title":"Termite.Terminal.Adapter.write/2","doc":"Write a string to the terminal. This function is expected to be implemented\nsynchronously in the adapter.","ref":"Termite.Terminal.Adapter.html#c:write/2"},{"type":"module","title":"Termite.Terminal.PrimTTY","doc":"A termite adapter for prim_tty provided by OTP.\n\nThis adapter is the default used by Termite.","ref":"Termite.Terminal.PrimTTY.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}